<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Sat Apr 25 19:48:02 CEST 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-04-25">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/List.html#get(int)">get(int)</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/List.html" title="class in es.uned.lsi.eped.DataStructures">List</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/ListIF.html#get(int)">get(int)</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/ListIF.html" title="interface in es.uned.lsi.eped.DataStructures">ListIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTree.html#getChild(int)">getChild(int)</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures">GTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTreeIF.html#getChild(int)">getChild(int)</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">GTreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTree.html#getChildren()">getChildren()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures">GTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTreeIF.html#getChildren()">getChildren()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">GTreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTree.html#getFanOut()">getFanOut()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTree.html" title="class in es.uned.lsi.eped.DataStructures">BTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTree.html#getFanOut()">getFanOut()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures">GTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Tree.html#getFanOut()">getFanOut()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/TreeIF.html#getFanOut()">getFanOut()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Queue.html#getFirst()">getFirst()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Queue.html" title="class in es.uned.lsi.eped.DataStructures">Queue</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/QueueIF.html#getFirst()">getFirst()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/QueueIF.html" title="interface in es.uned.lsi.eped.DataStructures">QueueIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTree.html#getHeight()">getHeight()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTree.html" title="class in es.uned.lsi.eped.DataStructures">BTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTree.html#getHeight()">getHeight()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures">GTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Tree.html#getHeight()">getHeight()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/TreeIF.html#getHeight()">getHeight()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTree.html#getLeftChild()">getLeftChild()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTree.html" title="class in es.uned.lsi.eped.DataStructures">BTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTreeIF.html#getLeftChild()">getLeftChild()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/LetterNode.html#getLetter()">getLetter()</a></span> - Method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/LetterNode.html" title="class in es.uned.lsi.eped.pract2019_2020">LetterNode</a></dt>
<dd>
<div class="block">Get the character stored in the node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/IteratorIF.html#getNext()">getNext()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/IteratorIF.html" title="interface in es.uned.lsi.eped.DataStructures">IteratorIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Sequence.NodeSequence.html#getNext()">getNext()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Sequence.NodeSequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence.NodeSequence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Sequence.html#getNode(int)">getNode(int)</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Sequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/LetterNode.html#getNodeType()">getNodeType()</a></span> - Method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/LetterNode.html" title="class in es.uned.lsi.eped.pract2019_2020">LetterNode</a></dt>
<dd>
<div class="block">Gets the node type</div>
</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/Node.html#getNodeType()">getNodeType()</a></span> - Method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/RootNode.html#getNodeType()">getNodeType()</a></span> - Method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/RootNode.html" title="class in es.uned.lsi.eped.pract2019_2020">RootNode</a></dt>
<dd>
<div class="block">Gets the node type</div>
</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/WordNode.html#getNodeType()">getNodeType()</a></span> - Method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/WordNode.html" title="class in es.uned.lsi.eped.pract2019_2020">WordNode</a></dt>
<dd>
<div class="block">Gets the node type</div>
</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTree.html#getNumChildren()">getNumChildren()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTree.html" title="class in es.uned.lsi.eped.DataStructures">BTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTree.html#getNumChildren()">getNumChildren()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures">GTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Tree.html#getNumChildren()">getNumChildren()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/TreeIF.html#getNumChildren()">getNumChildren()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BSTreeIF.html#getOrder()">getOrder()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BSTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BSTreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTree.html#getRightChild()">getRightChild()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTree.html" title="class in es.uned.lsi.eped.DataStructures">BTree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/BTreeIF.html#getRightChild()">getRightChild()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/BTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">BTreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Tree.html#getRoot()">getRoot()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Tree.html" title="class in es.uned.lsi.eped.DataStructures">Tree</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/TreeIF.html#getRoot()">getRoot()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/TreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">TreeIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Stack.html#getTop()">getTop()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Stack.html" title="class in es.uned.lsi.eped.DataStructures">Stack</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/StackIF.html#getTop()">getTop()</a></span> - Method in interface es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/StackIF.html" title="interface in es.uned.lsi.eped.DataStructures">StackIF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/NodeTools.html#getTreeLetterNode(char)">getTreeLetterNode(char)</a></span> - Static method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/NodeTools.html" title="class in es.uned.lsi.eped.pract2019_2020">NodeTools</a></dt>
<dd>
<div class="block">Create a new tree node and assign it a letter.</div>
</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/Sequence.NodeSequence.html#getValue()">getValue()</a></span> - Method in class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/Sequence.NodeSequence.html" title="class in es.uned.lsi.eped.DataStructures">Sequence.NodeSequence</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/pract2019_2020/WordListN.html#getWordSize()">getWordSize()</a></span> - Method in class es.uned.lsi.eped.pract2019_2020.<a href="../es/uned/lsi/eped/pract2019_2020/WordListN.html" title="class in es.uned.lsi.eped.pract2019_2020">WordListN</a></dt>
<dd>
<div class="block">Get the length of the words.</div>
</dd>
<dt><a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">GTree</span></a>&lt;<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="type parameter in GTree">E</a>&gt; - Class in <a href="../es/uned/lsi/eped/DataStructures/package-summary.html">es.uned.lsi.eped.DataStructures</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../es/uned/lsi/eped/DataStructures/GTree.html#%3Cinit%3E()">GTree()</a></span> - Constructor for class es.uned.lsi.eped.DataStructures.<a href="../es/uned/lsi/eped/DataStructures/GTree.html" title="class in es.uned.lsi.eped.DataStructures">GTree</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../es/uned/lsi/eped/DataStructures/GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">GTreeIF</span></a>&lt;<a href="../es/uned/lsi/eped/DataStructures/GTreeIF.html" title="type parameter in GTreeIF">E</a>&gt; - Interface in <a href="../es/uned/lsi/eped/DataStructures/package-summary.html">es.uned.lsi.eped.DataStructures</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../es/uned/lsi/eped/DataStructures/GTreeIF.IteratorModes.html" title="enum in es.uned.lsi.eped.DataStructures"><span class="typeNameLink">GTreeIF.IteratorModes</span></a> - Enum in <a href="../es/uned/lsi/eped/DataStructures/package-summary.html">es.uned.lsi.eped.DataStructures</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">Q</a>&nbsp;<a href="index-15.html">R</a>&nbsp;<a href="index-16.html">S</a>&nbsp;<a href="index-17.html">T</a>&nbsp;<a href="index-18.html">U</a>&nbsp;<a href="index-19.html">V</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
